Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518131 - xdvi cannot show embedded postscript-files
Summary: xdvi cannot show embedded postscript-files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript
Version: 27
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: David Kaspar [Dee'Kej]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-28 09:43 UTC by Helmut Schlattl
Modified: 2017-12-12 11:22 UTC (History)
5 users (show)

Fixed In Version: ghostscript-9.22-3.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 11:22:41 UTC


Attachments (Terms of Use)

Description Helmut Schlattl 2017-11-28 09:43:29 UTC
Description of problem:
When opening a dvi-document with an embedded eps-image by xdvi, the ghostscript interpretre throughs an error and no image is shown in xdvi window.

Version-Release number of selected component (if applicable):
texlive-xdvi-bin-svn40750-36.20160520.fc27.5.x86_64
ghostscript-9.22-1.fc27.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Create a latex-document where an eps-file is embedded with \includegraphics
2. latex the file
3. open the dvi-file with xdvi

Actual results:
Ghostscript error:

gs: Error: /undefined in flushpage
gs: Operand stack:
gs: 
gs: Execution stack:
gs:    %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--
gs:    2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   fals
gs: e   1   %stopped_push   1999   1   3   %oparray_pop   1998   1   3   %oparray_pop
gs:    1982   1   3   %oparray_pop   1868   1   3   %oparray_pop   --nostringval--   
gs: %errorexec_pop   .runexec2   --nostringval--   --nostringval--   --nostringval-- 
gs:   2   %stopped_push   --nostringval--   --nostringval--   %loop_continue   --nost
gs: ringval--
gs: Dictionary stack:
gs:    --dict:987/1684(ro)(G)--   --dict:0/20(G)--   --dict:82/200(L)--
gs: Current allocation mode is local
gs: Last OS error: Not a directory
gs: GPL Ghostscript 9.22: Unrecoverable error, exit code 1


Expected results:
No error. eps-image is shown in xdvi.

Additional info:
The same error has been reported in arch-linux: 
https://bugs.archlinux.org/task/56284

Apparently the flushpage-command has been discarded by ghostscript-9.22.

Comment 1 Helmut Schlattl 2017-11-28 09:46:41 UTC
It must of course read in the description:

... ghostscript interpreter throws an error ...

Comment 2 Fedora Update System 2017-12-02 19:53:38 UTC
ghostscript-9.22-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4084993131

Comment 3 Fedora Update System 2017-12-04 15:15:22 UTC
ghostscript-9.22-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d42b712a8a

Comment 4 Helmut Schlattl 2017-12-05 08:00:26 UTC
Tested only 9.22-3.

Bug is fixed.

Comment 5 David Kaspar [Dee'Kej] 2017-12-05 11:42:12 UTC
The ghostscript-9.22-3.fc27 package hasn't made it into stable repository yet (it hasn't got through the Bodhi testing process yet). Please, keep this BZ opened until Bodhi closes it automatically. Thank you! :)

Comment 6 Fedora Update System 2017-12-08 23:27:12 UTC
ghostscript-9.22-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d42b712a8a

Comment 7 Fedora Update System 2017-12-12 11:22:41 UTC
ghostscript-9.22-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.